Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810304 - [4.4] No controller metrics reported from 4.3 openshift-controller-manager
Summary: [4.4] No controller metrics reported from 4.3 openshift-controller-manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1809699
Blocks: 1810306
TreeView+ depends on / blocked
 
Reported: 2020-03-04 22:27 UTC by Adam Kaplan
Modified: 2020-05-13 22:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: openshift-controller-manager metrics were not properly registered with the 1.16 kubernetes Prometheus registry Consequence: metrics for openshift control plane controllers were missing Fix: properly registered openshift-controller-manager metrics with Prometheus Result: restored openshift control plane metrics
Clone Of: 1809699
: 1810306 (view as bug list)
Environment:
Last Closed: 2020-05-13 22:00:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 70 0 None closed [release-4.4] Bug 1810304: Restore openshift-controller-manager metrics 2020-06-15 20:41:44 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:40 UTC

Comment 5 errata-xmlrpc 2020-05-13 22:00:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.